/***
 * Excerpted from "Pragmatic Ajax"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/ajax for more book information.
***/
package org.galbraiths;
public class Validator {
    private static final String[] CUSTOMER_IDS = { "123456", "654321" };

    public static String validateCustomerId(String customerId) {
        for (int i = 0; i < CUSTOMER_IDS.length; i++) {
            String id = CUSTOMER_IDS[i];
            if (customerId.equals(id)) return null;
        }
        return "Customer number is invalid";
    }

    public static String validateTicketNumber(String ticketNumber) {
        if (ticketNumber.equals("")) return "Ticket number is required";

        try {
            Integer.parseInt(ticketNumber);
            return null;
        } catch (NumberFormatException e) {
            return "Ticket number must be a number";
        }
    }
}